Error
A valid request URL is required to generate request examples{
"total": 0,
"items": [
{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"organisation_id": "organisation_id",
"data": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": null
},
{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"organisation_id": "organisation_id",
"data": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": null
}
]
}Secrets, volumes, and object stores
List all secrets for a project
GET
/
api
/
v1
/
organizations
/
{org_id}
/
projects
/
{project_name}
/
secrets
Error
A valid request URL is required to generate request examples{
"total": 0,
"items": [
{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"organisation_id": "organisation_id",
"data": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": null
},
{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"organisation_id": "organisation_id",
"data": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": null
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization
The name of the project
Query Parameters
Filter by secret name
⌘I